{% extends "base.html" %}
{% block title %}Sign up{% endblock %}
{% block head %}
  {{ super() }}
  <script src="https://challenges.cloudflare.com/turnstile/v0/api.js" async defer></script>
  <script type="text/javascript">
    function onSubmit(token) {
      document.getElementById('new_user').submit();
    }
  </script>
{% endblock %}
{% block main %}
  <main class="container">
    <div>
      <h1>Welcome to GNOME GitLab!</h1>
      <p>gitlab.gnome.org is a GitLab instance dedicated to development of the GNOME project and its ecosystem. If you would like to contribute, you can create a new account here.</p>
      <p>If you encountered issues using the registration form, please contact the administrators via <a href="mailto:gitlab-account-request@gnome.org">e-mail</a>.</p>
      <p><strong>New accounts are limited to reporting issues in existing projects. To create new repositories or fork existing ones, please add an SSH or GPG key in your profile settings.</strong></p>
    </div>
    <div>
      <form id="new_user" action="/sign_up" accept-charset="UTF-8" method="post">
      <div class="listbox">
        <div>
          <input type="text" data-max-length="120" data-max-length-message="Name is too long" title="This field is required." name="name" required>
          <label for="name">Display name</label>
        </div>
        <div>
          <input data-min-length="5" data-min-length-message="Username is too short (minimum is 5 characters)." data-max-length="255" data-max-length-message="Username is too long (maximum is 255 characters)." pattern="[a-zA-Z0-9_\.][a-zA-Z0-9_\-\.]{0,254}[a-zA-Z0-9_\-]|[a-zA-Z0-9_]" required title="Please create a username with only alphanumeric characters." type="text" name="username">
          <label for="username">Username</label>
        </div>
        <div>
            <input required title="Please provide a valid email address." type="email" value="" name="email">
            <label for="email">Email</label>
        </div>
      </div>
      <div class="cf-turnstile narrow" data-sitekey="0x4AAAAAAAZhBc3atggQJMNq"></div>
      <input type="submit" value="Register" class="btn suggested standalone" />
      <p class="narrow">By clicking Register you agree to abide by the terms of <a href="https://conduct.gnome.org">the GNOME Code of Conduct</a>.</p>
      </form>
    </div>
  </main>
{% endblock %}
